VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Segm(1:8)
        SIGNAL An(3:0)
        SIGNAL XLXN_10(15:0)
        SIGNAL Clk50MHz
        SIGNAL XLXN_13
        SIGNAL Dp(3:0)
        SIGNAL Reset
        SIGNAL Count_enable
        PORT Output Segm(1:8)
        PORT Output An(3:0)
        PORT Input Clk50MHz
        PORT Input Dp(3:0)
        PORT Input Reset
        PORT Input Count_enable
        BEGIN BLOCKDEF muxdisplay_ver3
            TIMESTAMP 2005 10 11 8 46 16
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF cb16re
            TIMESTAMP 2001 2 2 12 36 39
            LINE N 384 -128 320 -128 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -32 64 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -192 320 -192 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 muxdisplay_ver3
            PIN Clk_50MHz Clk50MHz
            PIN Bcd(15:0) XLXN_10(15:0)
            PIN Dp(3:0) Dp(3:0)
            PIN Clk_1kHz XLXN_13
            PIN Segm(1:8) Segm(1:8)
            PIN An(3:0) An(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 cb16re
            PIN C XLXN_13
            PIN CE Count_enable
            PIN R Reset
            PIN CEO
            PIN Q(15:0) XLXN_10(15:0)
            PIN TC
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 1104 576 R0
        END INSTANCE
        BEGIN BRANCH Segm(1:8)
            WIRE 1488 480 1536 480
        END BRANCH
        BEGIN BRANCH An(3:0)
            WIRE 1488 544 1536 544
        END BRANCH
        INSTANCE XLXI_2 608 736 R0
        BEGIN BRANCH XLXN_10(15:0)
            WIRE 992 480 1104 480
        END BRANCH
        BEGIN BRANCH Clk50MHz
            WIRE 384 320 1024 320
            WIRE 1024 320 1024 416
            WIRE 1024 416 1104 416
        END BRANCH
        BEGIN BRANCH XLXN_13
            WIRE 464 256 464 608
            WIRE 464 608 608 608
            WIRE 464 256 1536 256
            WIRE 1536 256 1536 416
            WIRE 1488 416 1536 416
        END BRANCH
        BEGIN BRANCH Dp(3:0)
            WIRE 368 784 1088 784
            WIRE 1088 544 1104 544
            WIRE 1088 544 1088 784
        END BRANCH
        IOMARKER 1536 480 Segm(1:8) R0 28
        IOMARKER 1536 544 An(3:0) R0 28
        BEGIN BRANCH Reset
            WIRE 368 704 592 704
            WIRE 592 704 608 704
        END BRANCH
        BEGIN BRANCH Count_enable
            WIRE 416 544 592 544
            WIRE 592 544 608 544
        END BRANCH
        IOMARKER 384 320 Clk50MHz R180 28
        IOMARKER 368 704 Reset R180 28
        IOMARKER 416 544 Count_enable R180 28
        IOMARKER 368 784 Dp(3:0) R180 28
    END SHEET
END SCHEMATIC
