VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Dp
        SIGNAL a
        SIGNAL b
        SIGNAL c
        SIGNAL d
        SIGNAL e
        SIGNAL f
        SIGNAL g
        SIGNAL An0
        SIGNAL An1
        SIGNAL An2
        SIGNAL An3
        SIGNAL Test(1:0)
        SIGNAL Clk_50MHz
        SIGNAL Q(15:12)
        SIGNAL Q(11:8)
        SIGNAL Q(7:4)
        SIGNAL Q(3:0)
        SIGNAL Q(15:0)
        SIGNAL Clkx
        SIGNAL Count_Enable
        SIGNAL Clr
        SIGNAL XLXN_19
        SIGNAL XLXN_20
        SIGNAL Sw4
        SIGNAL Sw5
        SIGNAL Sw6
        SIGNAL Sw7
        SIGNAL XLXN_141
        SIGNAL XLXN_142
        SIGNAL BTN0
        SIGNAL Sw3
        PORT Output Dp
        PORT Output a
        PORT Output b
        PORT Output c
        PORT Output d
        PORT Output e
        PORT Output f
        PORT Output g
        PORT Output An0
        PORT Output An1
        PORT Output An2
        PORT Output An3
        PORT Input Test(1:0)
        PORT Input Clk_50MHz
        PORT Input Count_Enable
        PORT Input Clr
        PORT Input Sw4
        PORT Input Sw5
        PORT Input Sw6
        PORT Input Sw7
        PORT Input BTN0
        PORT Input Sw3
        BEGIN BLOCKDEF muxdisplay
            TIMESTAMP 2005 9 11 13 11 3
            RECTANGLE N 64 -832 320 0 
            LINE N 64 -800 0 -800 
            RECTANGLE N 0 -812 64 -788 
            LINE N 64 -720 0 -720 
            RECTANGLE N 0 -732 64 -708 
            LINE N 64 -640 0 -640 
            RECTANGLE N 0 -652 64 -628 
            LINE N 64 -560 0 -560 
            RECTANGLE N 0 -572 64 -548 
            LINE N 64 -480 0 -480 
            LINE N 64 -400 0 -400 
            LINE N 64 -320 0 -320 
            LINE N 64 -240 0 -240 
            LINE N 64 -160 0 -160 
            LINE N 64 -80 0 -80 
            RECTANGLE N 0 -92 64 -68 
            LINE N 320 -800 384 -800 
            LINE N 320 -736 384 -736 
            LINE N 320 -672 384 -672 
            LINE N 320 -608 384 -608 
            LINE N 320 -544 384 -544 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF cb16ce
            TIMESTAMP 2001 2 2 12 36 39
            LINE N 384 -192 320 -192 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF m2_1
            TIMESTAMP 2001 2 2 12 39 29
            LINE N 96 -64 96 -192 
            LINE N 256 -96 96 -64 
            LINE N 256 -160 256 -96 
            LINE N 96 -192 256 -160 
            LINE N 176 -32 96 -32 
            LINE N 176 -80 176 -32 
            LINE N 0 -32 96 -32 
            LINE N 320 -128 256 -128 
            LINE N 0 -96 96 -96 
            LINE N 0 -160 96 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2001 2 2 12 35 54
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 muxdisplay
            PIN Bcd0(3:0) Q(3:0)
            PIN Bcd1(3:0) Q(7:4)
            PIN Bcd2(3:0) Q(11:8)
            PIN Bcd3(3:0) Q(15:12)
            PIN Dp0 Sw4
            PIN Dp1 Sw5
            PIN Dp2 Sw6
            PIN Dp3 Sw7
            PIN Clk_50MHz Clk_50MHz
            PIN Test(1:0) Test(1:0)
            PIN dp Dp
            PIN a a
            PIN b b
            PIN c c
            PIN d d
            PIN e e
            PIN f f
            PIN g g
            PIN Clk_xxxHz Clkx
            PIN An0 An0
            PIN An1 An1
            PIN An2 An2
            PIN An3 An3
        END BLOCK
        BEGIN BLOCK XLXI_2 cb16ce
            PIN C XLXN_141
            PIN CE Count_Enable
            PIN CLR Clr
            PIN CEO XLXN_19
            PIN Q(15:0) Q(15:0)
            PIN TC XLXN_20
        END BLOCK
        BEGIN BLOCK XLXI_12 bufg
            PIN I XLXN_142
            PIN O XLXN_141
        END BLOCK
        BEGIN BLOCK XLXI_8 m2_1
            PIN D0 Clkx
            PIN D1 BTN0
            PIN S0 Sw3
            PIN O XLXN_142
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 1504 1136 R0
        END INSTANCE
        INSTANCE XLXI_2 896 592 R0
        BEGIN BRANCH Dp
            WIRE 1888 336 1984 336
        END BRANCH
        BEGIN BRANCH a
            WIRE 1888 400 1984 400
        END BRANCH
        BEGIN BRANCH b
            WIRE 1888 464 1984 464
        END BRANCH
        BEGIN BRANCH c
            WIRE 1888 528 1984 528
        END BRANCH
        BEGIN BRANCH d
            WIRE 1888 592 1984 592
        END BRANCH
        BEGIN BRANCH e
            WIRE 1888 656 1984 656
        END BRANCH
        BEGIN BRANCH f
            WIRE 1888 720 1984 720
        END BRANCH
        BEGIN BRANCH g
            WIRE 1888 784 1984 784
        END BRANCH
        BEGIN BRANCH An0
            WIRE 1888 912 2000 912
        END BRANCH
        BEGIN BRANCH An1
            WIRE 1888 976 2000 976
        END BRANCH
        BEGIN BRANCH An2
            WIRE 1888 1040 2000 1040
        END BRANCH
        BEGIN BRANCH An3
            WIRE 1888 1104 2000 1104
        END BRANCH
        BEGIN BRANCH Test(1:0)
            WIRE 1408 1056 1504 1056
        END BRANCH
        BEGIN BRANCH Clk_50MHz
            WIRE 1424 976 1504 976
        END BRANCH
        BEGIN BRANCH Q(15:12)
            WIRE 1440 576 1504 576
            BEGIN DISPLAY 1440 576 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q(11:8)
            WIRE 1440 496 1504 496
            BEGIN DISPLAY 1440 496 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q(7:4)
            WIRE 1440 416 1504 416
            BEGIN DISPLAY 1440 416 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q(3:0)
            WIRE 1440 336 1504 336
            BEGIN DISPLAY 1440 336 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q(15:0)
            WIRE 1280 336 1312 336
            WIRE 1312 336 1312 528
            BEGIN DISPLAY 1312 528 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Clkx
            WIRE 144 432 144 1216
            WIRE 144 1216 2128 1216
            WIRE 144 432 272 432
            WIRE 1888 848 2128 848
            WIRE 2128 848 2128 1216
            BEGIN DISPLAY 2128 848 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Count_Enable
            WIRE 400 304 880 304
            WIRE 880 304 880 400
            WIRE 880 400 896 400
        END BRANCH
        BEGIN BRANCH Clr
            WIRE 704 640 880 640
            WIRE 880 560 896 560
            WIRE 880 560 880 640
        END BRANCH
        BEGIN BRANCH XLXN_19
            WIRE 1280 400 1296 400
        END BRANCH
        BEGIN BRANCH XLXN_20
            WIRE 1280 464 1296 464
        END BRANCH
        BEGIN BRANCH Sw4
            WIRE 1264 656 1504 656
        END BRANCH
        BEGIN BRANCH Sw5
            WIRE 1264 736 1504 736
        END BRANCH
        BEGIN BRANCH Sw6
            WIRE 1264 816 1504 816
        END BRANCH
        BEGIN BRANCH Sw7
            WIRE 1264 896 1504 896
        END BRANCH
        INSTANCE XLXI_12 624 496 R0
        INSTANCE XLXI_8 272 592 R0
        IOMARKER 1984 336 Dp R0 28
        IOMARKER 1984 400 a R0 28
        IOMARKER 1984 464 b R0 28
        IOMARKER 1984 528 c R0 28
        IOMARKER 1984 592 d R0 28
        IOMARKER 1984 656 e R0 28
        IOMARKER 1984 720 f R0 28
        IOMARKER 1984 784 g R0 28
        IOMARKER 2000 912 An0 R0 28
        IOMARKER 2000 976 An1 R0 28
        IOMARKER 2000 1040 An2 R0 28
        IOMARKER 2000 1104 An3 R0 28
        IOMARKER 1408 1056 Test(1:0) R180 28
        IOMARKER 1424 976 Clk_50MHz R180 28
        IOMARKER 1264 656 Sw4 R180 28
        IOMARKER 1264 736 Sw5 R180 28
        IOMARKER 1264 816 Sw6 R180 28
        IOMARKER 1264 896 Sw7 R180 28
        IOMARKER 704 640 Clr R180 28
        BEGIN BRANCH XLXN_141
            WIRE 848 464 896 464
        END BRANCH
        BEGIN BRANCH XLXN_142
            WIRE 592 464 624 464
        END BRANCH
        IOMARKER 400 304 Count_Enable R180 28
        BEGIN BRANCH BTN0
            WIRE 256 496 272 496
        END BRANCH
        BEGIN BRANCH Sw3
            WIRE 256 560 272 560
        END BRANCH
        IOMARKER 256 496 BTN0 R180 28
        IOMARKER 256 560 Sw3 R180 28
    END SHEET
END SCHEMATIC
